<?php
	
	/*---------------------------Theme color option-------------------*/
	$avanza_lite_theme_color_first = get_theme_mod('avanza_lite_theme_color_first');

	$avanza_lite_custom_css = '';

	$avanza_lite_custom_css .='input[type="submit"], .cart_icon i, #slider .inner_carousel .get-apt-btn a:hover,#welcome .discover-btn a:hover, #footer input[type="submit"], .copyright, #footer .tagcloud a:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #comments a.comment-reply-link, .meta-nav:hover,.primary-navigation li a:hover, .read-more-btn a:hover, .tags p a:hover, #footer form.woocommerce-product-search button{';
		$avanza_lite_custom_css .='background-color: '.esc_attr($avanza_lite_theme_color_first).';';
	$avanza_lite_custom_css .='}';

	$avanza_lite_custom_css .='h4,h5,h6, .read-moresec a,section h4, section .innerlightbox, #comments a time,.woocommerce div.product span.price, .woocommerce .quantity .qty, h3.widget-title a, #footer li a:hover, .new-text h1 a,.new-text h2 a, .pet-top i, .comment-meta.commentmetadata a, a.added_to_cart.wc-forward, span.tagged_as a, #comments p a,  .primary-navigation ul ul a, .primary-navigation ul ul a:hover, .tags i, .metabox a:hover, .primary-navigation a:focus,.new-text p a,.entry-content a , #comments p a, #commentform p a, .woocommerce-MyAccount-content a, nav.woocommerce-MyAccount-navigation a, .woocommerce-info a, tr.woocommerce-cart-form__cart-item.cart_item a, a.shipping-calculator-button{';
		$avanza_lite_custom_css .='color: '.esc_attr($avanza_lite_theme_color_first).';';
	$avanza_lite_custom_css .='}';

	$avanza_lite_custom_css .='.read-moresec a, #footer input[type="search"], .woocommerce .quantity .qty, .primary-navigation ul ul, .read-more-btn a:hover, .tags p a:hover,.tags p a, #footer form.woocommerce-product-search button{';
		$avanza_lite_custom_css .='border-color: '.esc_attr($avanza_lite_theme_color_first).';';
	$avanza_lite_custom_css .='}';

	$avanza_lite_custom_css .='.primary-navigation ul ul li:first-child{';
		$avanza_lite_custom_css .='border-top-color: '.esc_attr($avanza_lite_theme_color_first).';';
	$avanza_lite_custom_css .='}';


	/*---------------------------Theme color option-------------------*/
	$avanza_lite_theme_color_second = get_theme_mod('avanza_lite_theme_color_second');

	$avanza_lite_custom_css .='.read-moresec a:hover, #header .main-menu, #slider i, #slider .inner_carousel .get-apt-btn a, #welcome .discover-btn a, .read-more-btn a, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, #sidebar input[type="submit"], #sidebar .tagcloud a:hover,.pagination .current, .pagination a:hover, #menu-sidebar input[type="submit"], #sidebar form.woocommerce-product-search button{';
		$avanza_lite_custom_css .='background-color: '.esc_attr($avanza_lite_theme_color_second).';';
	$avanza_lite_custom_css .='}';

	$avanza_lite_custom_css .='nav.woocommerce-MyAccount-navigation ul li, #sidebar ul li a:hover:before, #comments input[type="submit"].submit{';
		$avanza_lite_custom_css .='background-color: '.esc_attr($avanza_lite_theme_color_second).'!important;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_custom_css .='.woocommerce-message::before, .logo a, .pet-top p.color{';
		$avanza_lite_custom_css .='color: '.esc_attr($avanza_lite_theme_color_second).';';
	$avanza_lite_custom_css .='}';

	$avanza_lite_custom_css .='.woocommerce-message{';
		$avanza_lite_custom_css .='border-top-color: '.esc_attr($avanza_lite_theme_color_second).';';
	$avanza_lite_custom_css .='}';

	$avanza_lite_custom_css .='.read-more-btn a, .read-moresec a:hover, #sidebar form.woocommerce-product-search button{';
		$avanza_lite_custom_css .='border-color: '.esc_attr($avanza_lite_theme_color_second).';';
	$avanza_lite_custom_css .='}';

	$avanza_lite_custom_css .='#sidebar ul li a:hover, #sidebar ul li a:active, #sidebar ul li a:focus{';
		$avanza_lite_custom_css .='color: '.esc_attr($avanza_lite_theme_color_second).'!important;';
	$avanza_lite_custom_css .='}';

	// media
	$avanza_lite_custom_css .='@media screen and (max-width:1000px) {';
	if($avanza_lite_theme_color_first != false || $avanza_lite_theme_color_second != false){
	$avanza_lite_custom_css .='.primary-navigation a:focus, #menu-sidebar, .primary-navigation ul ul a, .primary-navigation li a:hover, .primary-navigation li:hover a, #contact-info, .primary-navigation ul ul a:focus{
	background-image: linear-gradient(-90deg, '.esc_attr($avanza_lite_theme_color_first).' 0%, '.esc_attr($avanza_lite_theme_color_second).' 120%);
		}';
	}
	$avanza_lite_custom_css .='}';

	/*---------------------------Width Layout -------------------*/
	$avanza_lite_theme_lay = get_theme_mod( 'avanza_lite_theme_options','Default');
    if($avanza_lite_theme_lay == 'Default'){
		$avanza_lite_custom_css .='body{';
			$avanza_lite_custom_css .='max-width: 100%;';
		$avanza_lite_custom_css .='}';
		$avanza_lite_custom_css .='.page-template-custom-home-page .middle-header{';
			$avanza_lite_custom_css .='width: 97.3%';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == 'Container'){
		$avanza_lite_custom_css .='body{';
			$avanza_lite_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$avanza_lite_custom_css .='}';
		$avanza_lite_custom_css .='.page-template-custom-home-page .middle-header{';
			$avanza_lite_custom_css .='width: 97.7%';
		$avanza_lite_custom_css .='}';
		$avanza_lite_custom_css .='.serach_outer{';
			$avanza_lite_custom_css .='width: 97.7%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == 'Box Container'){
		$avanza_lite_custom_css .='body{';
			$avanza_lite_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$avanza_lite_custom_css .='}';
		$avanza_lite_custom_css .='.serach_outer{';
			$avanza_lite_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto; right:0';
		$avanza_lite_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/
	$avanza_lite_theme_lay = get_theme_mod( 'avanza_lite_slider_image_opacity','0.6');
	if($avanza_lite_theme_lay == '0'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.1'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.1';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.2'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.2';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.3'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.3';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.4'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.4';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.5'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.5';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.6'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.6';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.7'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.7';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.8'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.8';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == '0.9'){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:0.9';
		$avanza_lite_custom_css .='}';
	}

	/*----------Slider Content Alignment ------------*/
	$avanza_lite_slider_lay = get_theme_mod( 'avanza_lite_slider_content_alignment','Left');
    if($avanza_lite_slider_lay == 'Left'){
		$avanza_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel,#slider .inner_carousel h1{';
			$avanza_lite_custom_css .='text-align:left; left:10%; right:50%;';
		$avanza_lite_custom_css .='}';
		$avanza_lite_custom_css .='
		@media screen and (max-width: 720px){
		#slider .carousel-caption{';
		$avanza_lite_custom_css .='left: 15%; right: 40%;';
		$avanza_lite_custom_css .='} }';

	}else if($avanza_lite_slider_lay == 'Center'){
		$avanza_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel,#slider .inner_carousel h1{';
			$avanza_lite_custom_css .='text-align:center; left:15%; right:15%;';
		$avanza_lite_custom_css .='}';

	}else if($avanza_lite_slider_lay == 'Right'){
		$avanza_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel,#slider .inner_carousel h1{';
			$avanza_lite_custom_css .='text-align:right; right:10%; left:50%;';
		$avanza_lite_custom_css .='}';
		$avanza_lite_custom_css .='
		@media screen and (max-width: 720px){
		#slider .carousel-caption{';
		$avanza_lite_custom_css .='left: 40%; right: 15%;';
		$avanza_lite_custom_css .='} }';
	}

	/*------------------------------ Button Settings option-----------------------*/
	$avanza_lite_button_padding_top_bottom = get_theme_mod('avanza_lite_button_padding_top_bottom');
	$avanza_lite_button_padding_left_right = get_theme_mod('avanza_lite_button_padding_left_right');
	$avanza_lite_custom_css .='.new-text .read-more-btn a, #slider .inner_carousel .get-apt-btn a, #comments .form-submit input[type="submit"], #welcome .discover-btn a{';
		$avanza_lite_custom_css .='padding-top: '.esc_attr($avanza_lite_button_padding_top_bottom).'px; padding-bottom: '.esc_attr($avanza_lite_button_padding_top_bottom).'px; padding-left: '.esc_attr($avanza_lite_button_padding_left_right).'px; padding-right: '.esc_attr($avanza_lite_button_padding_left_right).'px; display:inline-block;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_button_border_radius = get_theme_mod('avanza_lite_button_border_radius');
	$avanza_lite_custom_css .='.new-text .read-more-btn a, #slider .inner_carousel .get-apt-btn a, #comments .form-submit input[type="submit"], #welcome .discover-btn a{';
		$avanza_lite_custom_css .='border-radius: '.esc_attr($avanza_lite_button_border_radius).'px;';
	$avanza_lite_custom_css .='}';

	/*-----------------------------Responsive Setting --------------------*/
	$avanza_lite_stickyheader = get_theme_mod( 'avanza_lite_responsive_sticky_header',false);
	if($avanza_lite_stickyheader == true && get_theme_mod( 'avanza_lite_sticky_header') == false){
    	$avanza_lite_custom_css .='.fixed-header{';
			$avanza_lite_custom_css .='position:static;';
		$avanza_lite_custom_css .='} ';
	}
    if($avanza_lite_stickyheader == true){
    	$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='.fixed-header{';
			$avanza_lite_custom_css .='position:fixed;';
		$avanza_lite_custom_css .='} }';
	}else if($avanza_lite_stickyheader == false){
		$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='.fixed-header{';
			$avanza_lite_custom_css .='position:static;';
		$avanza_lite_custom_css .='} }';
	}

	$avanza_lite_slider = get_theme_mod( 'avanza_lite_responsive_slider',false);
	if($avanza_lite_slider == true && get_theme_mod( 'avanza_lite_slider_hide', false) == false){
    	$avanza_lite_custom_css .='#slider{';
			$avanza_lite_custom_css .='display:none;';
		$avanza_lite_custom_css .='} ';
	}
    if($avanza_lite_slider == true){
    	$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='#slider{';
			$avanza_lite_custom_css .='display:block;';
		$avanza_lite_custom_css .='} }';
	}else if($avanza_lite_slider == false){
		$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='#slider{';
			$avanza_lite_custom_css .='display:none;';
		$avanza_lite_custom_css .='} }';
	}

	$avanza_lite_slider = get_theme_mod( 'avanza_lite_responsive_scroll',true);
	if($avanza_lite_slider == true && get_theme_mod( 'avanza_lite_enable_disable_scroll', true) == false){
    	$avanza_lite_custom_css .='#scroll-top{';
			$avanza_lite_custom_css .='display:none !important;';
		$avanza_lite_custom_css .='} ';
	}
    if($avanza_lite_slider == true){
    	$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='#scroll-top{';
			$avanza_lite_custom_css .='visibility: visible !important;';
		$avanza_lite_custom_css .='} }';
	}else if($avanza_lite_slider == false){
		$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='#scroll-top{';
			$avanza_lite_custom_css .='visibility: hidden !important;';
		$avanza_lite_custom_css .='} }';
	}

	$avanza_lite_sidebar = get_theme_mod( 'avanza_lite_responsive_sidebar',true);
    if($avanza_lite_sidebar == true){
    	$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='#sidebar{';
			$avanza_lite_custom_css .='display:block;';
		$avanza_lite_custom_css .='} }';
	}else if($avanza_lite_sidebar == false){
		$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='#sidebar{';
			$avanza_lite_custom_css .='display:none;';
		$avanza_lite_custom_css .='} }';
	}

	$avanza_lite_loader = get_theme_mod( 'avanza_lite_responsive_preloader', true);
	if($avanza_lite_loader == true && get_theme_mod( 'avanza_lite_preloader_option', true) == false){
    	$avanza_lite_custom_css .='#loader-wrapper{';
			$avanza_lite_custom_css .='display:none;';
		$avanza_lite_custom_css .='} ';
	}
    if($avanza_lite_loader == true){
    	$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='#loader-wrapper{';
			$avanza_lite_custom_css .='display:block;';
		$avanza_lite_custom_css .='} }';
	}else if($avanza_lite_loader == false){
		$avanza_lite_custom_css .='@media screen and (max-width:575px) {';
		$avanza_lite_custom_css .='#loader-wrapper{';
			$avanza_lite_custom_css .='display:none;';
		$avanza_lite_custom_css .='} }';
	}

	/*------------------ Skin Option -------------------*/

	$avanza_lite_theme_lay = get_theme_mod( 'avanza_lite_background_skin_mode','Transpert Background');
    if($avanza_lite_theme_lay == 'With Background'){
		$avanza_lite_custom_css .='#sidebar .widget,.woocommerce ul.products li.product, .woocommerce-page ul.products li.product,.content-sec,.front-page-content,.background-img-skin,.noresult-content{';
			$avanza_lite_custom_css .='background-color: #fff; ';
		$avanza_lite_custom_css .='}';
		$avanza_lite_custom_css .='.background-img-skin{';
			$avanza_lite_custom_css .='margin: 2% 0; ';
		$avanza_lite_custom_css .='}';
	}else if($avanza_lite_theme_lay == 'Transpert Background'){
		$avanza_lite_custom_css .='#sidebar aside,.page-box .new-text, .page-box-single .new-text,.page-box-single{';
			$avanza_lite_custom_css .='background-color: transparent;';
		$avanza_lite_custom_css .='}';
	}

	/*------------ Woocommerce Settings  --------------*/
	$avanza_lite_top_bottom_product_button_padding = get_theme_mod('avanza_lite_top_bottom_product_button_padding', 10);
	$avanza_lite_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$avanza_lite_custom_css .='padding-top: '.esc_attr($avanza_lite_top_bottom_product_button_padding).'px; padding-bottom: '.esc_attr($avanza_lite_top_bottom_product_button_padding).'px;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_left_right_product_button_padding = get_theme_mod('avanza_lite_left_right_product_button_padding', 16);
	$avanza_lite_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$avanza_lite_custom_css .='padding-left: '.esc_attr($avanza_lite_left_right_product_button_padding).'px; padding-right: '.esc_attr($avanza_lite_left_right_product_button_padding).'px;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_product_button_border_radius = get_theme_mod('avanza_lite_product_button_border_radius', 0);
	$avanza_lite_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$avanza_lite_custom_css .='border-radius: '.esc_attr($avanza_lite_product_button_border_radius).'px;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_show_related_products = get_theme_mod('avanza_lite_show_related_products',true);
	if($avanza_lite_show_related_products == false){
		$avanza_lite_custom_css .='.related.products{';
			$avanza_lite_custom_css .='display: none;';
		$avanza_lite_custom_css .='}';
	}

	$avanza_lite_show_wooproducts_border = get_theme_mod('avanza_lite_show_wooproducts_border', false);
	if($avanza_lite_show_wooproducts_border == true){
		$avanza_lite_custom_css .='.products li{';
			$avanza_lite_custom_css .='border: 1px solid #cccccc;';
		$avanza_lite_custom_css .='}';
	}

	$avanza_lite_top_bottom_wooproducts_padding = get_theme_mod('avanza_lite_top_bottom_wooproducts_padding',0);
	$avanza_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$avanza_lite_custom_css .='padding-top: '.esc_attr($avanza_lite_top_bottom_wooproducts_padding).'px !important; padding-bottom: '.esc_attr($avanza_lite_top_bottom_wooproducts_padding).'px !important;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_left_right_wooproducts_padding = get_theme_mod('avanza_lite_left_right_wooproducts_padding',0);
	$avanza_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$avanza_lite_custom_css .='padding-left: '.esc_attr($avanza_lite_left_right_wooproducts_padding).'px !important; padding-right: '.esc_attr($avanza_lite_left_right_wooproducts_padding).'px !important;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_wooproducts_border_radius = get_theme_mod('avanza_lite_wooproducts_border_radius',0);
	$avanza_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$avanza_lite_custom_css .='border-radius: '.esc_attr($avanza_lite_wooproducts_border_radius).'px;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_wooproducts_box_shadow = get_theme_mod('avanza_lite_wooproducts_box_shadow',0);
	$avanza_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$avanza_lite_custom_css .='box-shadow: '.esc_attr($avanza_lite_wooproducts_box_shadow).'px '.esc_attr($avanza_lite_wooproducts_box_shadow).'px '.esc_attr($avanza_lite_wooproducts_box_shadow).'px #eee;';
	$avanza_lite_custom_css .='}';

	/*-------------- Footer Text -------------------*/
	$avanza_lite_copyright_content_align = get_theme_mod('avanza_lite_copyright_content_align','center');
	if($avanza_lite_copyright_content_align != false){
		$avanza_lite_custom_css .='.copyright{';
			$avanza_lite_custom_css .='text-align: '.esc_attr($avanza_lite_copyright_content_align).' !important;';
		$avanza_lite_custom_css .='}';
	}

	$avanza_lite_footer_content_font_size = get_theme_mod('avanza_lite_footer_content_font_size', 16);
	$avanza_lite_custom_css .='.copyright p{';
		$avanza_lite_custom_css .='font-size: '.esc_attr($avanza_lite_footer_content_font_size).'px;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_copyright_padding = get_theme_mod('avanza_lite_copyright_padding', 15);
	$avanza_lite_custom_css .='.copyright{';
		$avanza_lite_custom_css .='padding-top: '.esc_attr($avanza_lite_copyright_padding).'px !important; padding-bottom: '.esc_attr($avanza_lite_copyright_padding).'px !important;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_footer_widget_bg_color = get_theme_mod('avanza_lite_footer_widget_bg_color');
	$avanza_lite_custom_css .='#footer{';
		$avanza_lite_custom_css .='background-color: '.esc_attr($avanza_lite_footer_widget_bg_color).';';
	$avanza_lite_custom_css .='}';

	$avanza_lite_footer_widget_bg_image = get_theme_mod('avanza_lite_footer_widget_bg_image');
	if($avanza_lite_footer_widget_bg_image != false){
		$avanza_lite_custom_css .='#footer{';
			$avanza_lite_custom_css .='background: url('.esc_attr($avanza_lite_footer_widget_bg_image).');';
		$avanza_lite_custom_css .='}';
	}

	// scroll to top
	$avanza_lite_scroll_font_size_icon = get_theme_mod('avanza_lite_scroll_font_size_icon', 22);
	$avanza_lite_custom_css .='#scroll-top .fas{';
		$avanza_lite_custom_css .='font-size: '.esc_attr($avanza_lite_scroll_font_size_icon).'px;';
	$avanza_lite_custom_css .='}';

	// Slider Height 
	$avanza_lite_slider_image_height = get_theme_mod('avanza_lite_slider_image_height');
	$avanza_lite_custom_css .='#slider img{';
		$avanza_lite_custom_css .='height: '.esc_attr($avanza_lite_slider_image_height).'px;';
	$avanza_lite_custom_css .='}';

	// Display Blog Post 
	$avanza_lite_display_blog_page_post = get_theme_mod( 'avanza_lite_display_blog_page_post','Without Box');
    if($avanza_lite_display_blog_page_post == 'In Box'){
		$avanza_lite_custom_css .='.page-box{';
			$avanza_lite_custom_css .='border:1px solid #c5c5c5; margin:25px 0;';
		$avanza_lite_custom_css .='}';
	}

	// slider overlay
	$avanza_lite_slider_overlay = get_theme_mod('avanza_lite_slider_overlay', true);
	if($avanza_lite_slider_overlay == false){
		$avanza_lite_custom_css .='#slider img{';
			$avanza_lite_custom_css .='opacity:1;';
		$avanza_lite_custom_css .='}';
	} 
	$avanza_lite_slider_image_overlay_color = get_theme_mod('avanza_lite_slider_image_overlay_color', true);
	if($avanza_lite_slider_overlay != false){
		$avanza_lite_custom_css .='#slider{';
			$avanza_lite_custom_css .='background-color: '.esc_attr($avanza_lite_slider_image_overlay_color).';';
		$avanza_lite_custom_css .='}';
	}

	// site title and tagline font size option
	$avanza_lite_site_title_size_option = get_theme_mod('avanza_lite_site_title_size_option', 37);{
	$avanza_lite_custom_css .='.logo h1, .logo p.site-title{';
	$avanza_lite_custom_css .='font-size: '.esc_attr($avanza_lite_site_title_size_option).'px;';
		$avanza_lite_custom_css .='}';
	}

	$avanza_lite_site_tagline_size_option = get_theme_mod('avanza_lite_site_tagline_size_option', 13);{
	$avanza_lite_custom_css .='.pet-top p{';
	$avanza_lite_custom_css .='font-size: '.esc_attr($avanza_lite_site_tagline_size_option).'px;';
		$avanza_lite_custom_css .='}';
	}

	// woocommerce product sale settings
	$avanza_lite_border_radius_product_sale = get_theme_mod('avanza_lite_border_radius_product_sale',0);
	$avanza_lite_custom_css .='.woocommerce span.onsale {';
		$avanza_lite_custom_css .='border-radius: '.esc_attr($avanza_lite_border_radius_product_sale).'px;';
	$avanza_lite_custom_css .='}';

	$avanza_lite_align_product_sale = get_theme_mod('avanza_lite_align_product_sale', 'Right');
	if($avanza_lite_align_product_sale == 'Right' ){
		$avanza_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$avanza_lite_custom_css .=' left:auto; right:0;';
		$avanza_lite_custom_css .='}';
	}elseif($avanza_lite_align_product_sale == 'Left' ){
		$avanza_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$avanza_lite_custom_css .=' left:0; right:auto;';
		$avanza_lite_custom_css .='}';
	}

	$avanza_lite_product_sale_font_size = get_theme_mod('avanza_lite_product_sale_font_size',14);
	$avanza_lite_custom_css .='.woocommerce span.onsale{';
		$avanza_lite_custom_css .='font-size: '.esc_attr($avanza_lite_product_sale_font_size).'px;';
	$avanza_lite_custom_css .='}';





